Subject: Re: [Diversity] IETF Guidelines for Conduct - draft-moonesamy-ietf-conduct-3184bis

From: Jari Arkko <[email-masked]>
Date: Mon, 2 Sep 2013 11:21:40 +0300

SM,

Thanks for writing this up. I have been unhappy with at least one aspect RFC 3184 (expected behaviour from newcomers), and I'd welcome an update. I'd be happy to AD sponsor your document to an RFC once the current round of discussions reaches a reasonable endpoint.

Here are some personal comments on the draft:

Section 2, item 1. Throughout the draft, you have reworded some of the text and I like the new wordings. However, in this item I would still recommend including "speak clearly and bit slowly", as that is also important.

This is good:

         This may represent a
         challenge for newcomers as it may not be easy to trace the
         history of longstanding Working Group debates.  Information
         about a working group including its charter and milestones is
         available on the IETF Tools web site [TOOLS].

But I'd probably tweak it slightly to:

         This may represent a
         challenge when attending a new group without knowing the
         history of longstanding Working Group debates.  Information
         about a working group including its charter, milestones, and past discussions is
         available on the IETF Tools web site [TOOLS] or from the chairs.

because it is not just newcomers who enter new situations...

I'm ok with removing the IPR explanations. Indeed, we have them in the note well and elsewhere. I see that you had a discussion with Lars about this and you said that you'd prefer to see more about attribution. That would be fine in my opinion. Assuming, of course, that what you should was generic enough to suit this type of a document. Trying to specify rules exactly when you should attribute things in discussion or documents would be a non-terminating task, IMO.

I'm with Lars on preferring to keep but explain the reduce-heat expression. But I'm not hung up on specific text formulations; your current text gets the job done, too.

I'd be OK with considering some consequences for violating the code of conduct, but I agree with Adrian that another document would probably be the useful vehicle for that. And I do not claim that I fully understand yet if we have all the necessary tools available to us - we might, with RFC 3683. Perhaps pointing to RFC 3683 might be enough at this stage. The current text in Appendix B is fine. 

I think Appendix A and B need to move to the body of the document.

I agree with Melinda's point of adding some pointers to participating as individuals and consensus processes.

If I was writing this draft, I'd probably keep Susan as the second author, given that much of the text from previous version still remains. She should be reachable - see the other mail I just sent you.

Jari

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Mon, 2 Sep 2013 03:42:03 -0500

I really support the separation of expected conduct and the consequences
for "unexpected" conduct.

It's at least theoretically possible that people might improve
their behavior after reading a standalone code of conduct, while people are
still talking about consequences ...

I should also mention that some of the concerns I've heard expressed
involved in-person behavior, so revoking posting rights on mailing lists
(as in http://tools.ietf.org/html/rfc3683) might not be sufficient ...

Spencer

On Monday, September 2, 2013, Jari Arkko wrote:

> SM,
>
> Thanks for writing this up. I have been unhappy with at least one aspect
> RFC 3184 (expected behaviour from newcomers), and I'd welcome an update.
> I'd be happy to AD sponsor your document to an RFC once the current round
> of discussions reaches a reasonable endpoint.
>
> Section 2, item 1. Throughout the draft, you have reworded some of the
> text and I like the new wordings. However, in this item I would still
> recommend including "speak clearly and bit slowly", as that is also
> important.
>
> This is good:
>
>          This may represent a
> I'm ok with removing the IPR explanations. Indeed, we have them in the
> note well and elsewhere. I see that you had a discussion with Lars about
> this and you said that you'd prefer to see more about attribution. That
> would be fine in my opinion. Assuming, of course, that what you should was
> generic enough to suit this type of a document. Trying to specify rules
> exactly when you should attribute things in discussion or documents would
> be a non-terminating task, IMO.
>
> I'm with Lars on preferring to keep but explain the reduce-heat
> expression. But I'm not hung up on specific text formulations; your current
> text gets the job done, too.
>
> I'd be OK with considering some consequences for violating the code of
> conduct, but I agree with Adrian that another document would probably be
> the useful vehicle for that. And I do not claim that I fully understand yet
> if we have all the necessary tools available to us - we might, with RFC
> 3683. Perhaps pointing to RFC 3683 might be enough at this stage. The
> current text in Appendix B is fine.
>
> If I was writing this draft, I'd probably keep Susan as the second author,
> given that much of the text from previous version still remains. She should
> be reachable - see the other mail I just sent you.
>
> Jari
>
> _______________________________________________
> diversity mailing list
> [email-masked] <javascript:;>
> https://www.ietf.org/mailman/listinfo/diversity
>

---

From: S Moonesamy <[email-masked]>
Date: Mon, 02 Sep 2013 03:08:23 -0700

Hi Jari,
At 01:21 02-09-2013, Jari Arkko wrote:
>Thanks for writing this up. I have been unhappy with at least one 
>aspect RFC 3184 (expected behaviour from newcomers), and I'd welcome 
>an update. I'd be happy to AD sponsor your document to an RFC once 
>the current round of discussions reaches a reasonable endpoint.

Thanks for volunteering to sponsor the draft.  I'll send you an email 
once the draft is stable.

>Section 2, item 1. Throughout the draft, you have reworded some of 
>the text and I like the new wordings. However, in this item I would 
>still recommend including "speak clearly and bit slowly", as that is 
>also important.
>
>This is good:
>
>          This may represent a

I added that to my working copy.  I made an editorial change "a new 
working group".

>I'm ok with removing the IPR explanations. Indeed, we have them in 
>the note well and elsewhere. I see that you had a discussion with 
>Lars about this and you said that you'd prefer to see more about 
>attribution. That would be fine in my opinion. Assuming, of course, 
>that what you should was generic enough to suit this type of a 
>document. Trying to specify rules exactly when you should attribute 
>things in discussion or documents would be a non-terminating task, IMO.

Agreed about the non-terminating task.  I'll open a thread about 
attribution for quick discussion once the current threads settle down.

>expression. But I'm not hung up on specific text formulations; your 
>current text gets the job done, too.

As a general note, if anyone would like to see changes to that text 
please raise them.

>I'd be OK with considering some consequences for violating the code 
>of conduct, but I agree with Adrian that another document would 
>probably be the useful vehicle for that. And I do not claim that I 
>fully understand yet if we have all the necessary tools available to 
>us - we might, with RFC 3683. Perhaps pointing to RFC 3683 might be 
>enough at this stage. The current text in Appendix B is fine.

I changed the title of Appendix A to:

  "Reporting transgressions of the guidelines"

And for Appendix B:

  "Consequences of transgressing the guidelines"

I used the word from Lars' message and used transgressions because of 
the comment from William McCall on ietf@.

>I think Appendix A and B need to move to the body of the document.

My preference is to leave the reporting outside the body of the 
document or else it need more than one sentence.

As for the consequences I do not know whether more tools will be 
necessary.  There isn't a need to update the document if the text is 
in an Appendix.

>I agree with Melinda's point of adding some pointers to 
>participating as individuals and consensus processes.

I'll go over Melinda's point again.

I would like to keep the document short so that it is a quick read.

>If I was writing this draft, I'd probably keep Susan as the second 
>author, given that much of the text from previous version still 
>remains. She should be reachable - see the other mail I just sent you.

I already replied to the other mail.  I hope that the reply addresses 
the second author comment.

Regards,
S. Moonesamy

---

From: Brian Trammell <[email-masked]>
Date: Mon, 2 Sep 2013 12:53:08 +0200

hi Spencer, all,

On 2 Sep 2013, at 10:42 , Spencer Dawkins at IETF <[email-masked]> wrote:

> I really support the separation of expected conduct and the consequences for "unexpected" conduct. 

+1

> It's at least theoretically possible that people might improve their behavior after reading a standalone code of conduct, while people are still talking about consequences ...

If we don't make the assumption that the vast majority of IETF participants are reasonable human beings acting on good faith, our processes simply don't work. For what it's worth I don't think this is a bug, so I support this (in the name of assuming IETF participants are reasonable human beings acting on good faith).

It's also possible that changes to sanctions may occur without changes to expected conduct; separating the documents underscores that this is our expectation.

> I should also mention that some of the concerns I've heard expressed involved in-person behavior, so revoking posting rights on mailing lists (as in http://tools.ietf.org/html/rfc3683) might not be sufficient ...

Is it possible to be an effective participant in a working group when one banned from posting to that working group's list?

Best regards,

Brian

> [email-masked]
> [email-masked]

---

From: "Eduardo A. Suárez" <[email-masked]>
Date: Mon, 02 Sep 2013 13:06:47 -0300

Hi SM,

In Section 2, item 1. There is a paragraph of RFC 1855[1] page 3 which  
in view of current discussion. deserves to be included, perhaps  
rephrased:

    "- Remember that the recipient is a human being whose culture,
       language, and humor have different points of reference from your
       own.  Remember that date formats, measurements, and idioms may
       not travel well.   Be especially careful with sarcasm."

Something like:

When you participate in a a mailing list remember that the recipients
are human beings whose cultures, languages, and humor have different
points of reference from your own. Be especially careful with sarcasm.

[1] http://tools.ietf.org/html/rfc1855

Regards, Eduardo.-

-- 
Eduardo A. Suarez
Facultad de Ciencias Astronómicas y Geofísicas - UNLP
FCAG: (0221)-4236593 int. 172/Cel: (0221)-15-4557542/Casa: (0221)-4526589

----------------------------------------------------------------
This message was sent using IMP, the Internet Messaging Program.

---

From: S Moonesamy <[email-masked]>
Date: Mon, 02 Sep 2013 09:39:48 -0700

Hi Brian,
At 03:53 02-09-2013, Brian Trammell wrote:
>Is it possible to be an effective participant in a working group 
>when one banned from posting to that working group's list?

The short answer is no.

Regards,
S. Moonesamy

---

From: S Moonesamy <[email-masked]>
Date: Mon, 02 Sep 2013 12:57:46 -0700

Hi Eduardo,
>points of reference from your own. Be especially careful with sarcasm.

There is similar text in the Internationalization 
Considerations section of draft-moonesamy-mail-list-protocol-00 [1].

One of the problems when using sarcasm is that it 
is easy to forget that the recipient is a human 
being.  Sarcasm can used to belittle a 
person.  Although it is not mentioned in Dave 
Crocker's comment about intimidation that message 
[2] might explain what that person may be trying to achieve by using sarcasm.

Regards,
S. Moonesamy

1. http://tools.ietf.org/html/draft-moonesamy-mail-list-protocol-00
2. http://www.ietf.org/mail-archive/web/diversity/current/msg00269.html

---

From: S Moonesamy <[email-masked]>
Date: Tue, 03 Sep 2013 07:37:42 -0700

Hi Scott,

[Cc to the diversity mailing list]

At 03:40 03-09-2013, Scott Brim wrote:
>Because there are communication problems every few minutes, this 
>seems like a large burden to place on those who should be able to 
>focus on keeping the work as a whole running smoothly.  Someone who 
>has a problem understanding can speak to individuals privately. If 
>they are rebuffed and want intervention, then they could go to a WG 
>chair... or perhaps to someone who is part of a set of volunteers 
>for helping in communication (we need a new badge sticker).   In any 
>case, please don't assign more small responsibilities to the people 
>who we depend on for pushing our work forward.

The "communicate clearly" covers both spoken and written 
communication.  I don't know how effective the smiley badge used 
during the meetings is.

Who can I contact if I find some mailing list discussions a 
problem?  My answer was to email the Working Group Chairs or Area 
Directors.  This is not about assigning work.  It was about being 
able to reach somebody easily identifiable who might be able to help.

I took into account comments such as the one at 
http://www.ietf.org/mail-archive/web/diversity/current/msg00272.html 
and 
http://www.ietf.org/mail-archive/web/diversity/current/msg00243.html 
in my reply.

Regards,
S. Moonesamy

---

From: S Moonesamy <[email-masked]>
Date: Tue, 03 Sep 2013 10:05:09 -0700

Hi Scott,
At 09:49 03-09-2013, Scott Brim wrote:
>Regarding mail, the first step is to say "I don't understand, please
>clarify point x".  If the other person isn't willing or able to
>clarify, then it's a process problem and it makes sense to contact a
>WG officer.  However, in the middle of a meeting the chairs and ADs
>are always utterly busy, and I really don't think you should recommend
>that people contact them - they won't get the level of care they are
>looking for.  Better to use facilitators (either WG-specific or
>general).

Ok.

>Being helpful quickly turns into a full-time job if it becomes known
>that you're good at it.  Let those whose principal responsibility is
>to make things happen stick to doing so, except for the really
>difficult cases where their authority is required.  Make sense?

Yes.

Regards,
S. Moonesamy

---

From: Scott Brim <[email-masked]>
Date: Tue, 3 Sep 2013 12:49:37 -0400

On Tue, Sep 3, 2013 at 10:37 AM, S Moonesamy <[email-masked]> wrote:
>> Because there are communication problems every few minutes, this seems
>> like a large burden to place on those who should be able to focus on keeping
>> the work as a whole running smoothly.  Someone who has a problem
>> understanding can speak to individuals privately. If they are rebuffed and
>> want intervention, then they could go to a WG chair... or perhaps to someone
>> who is part of a set of volunteers for helping in communication (we need a
>> new badge sticker).   In any case, please don't assign more small
>> responsibilities to the people who we depend on for pushing our work
>> forward.
>
>
> The "communicate clearly" covers both spoken and written communication.  I
> don't know how effective the smiley badge used during the meetings is.
>
> Who can I contact if I find some mailing list discussions a problem?  My
> answer was to email the Working Group Chairs or Area Directors.  This is not
> about assigning work.

> It was about being able to reach somebody easily
> identifiable who might be able to help.

Scott